org.apache.storm.trident.state.map

## Class SnapshottableMap<T>

- java.lang.Object
- - org.apache.storm.trident.state.map.SnapshottableMap<T>

- All Implemented Interfaces:
    MapState<T>, ReadOnlyMapState<T>, ReadOnlySnapshottable<T>, Snapshottable<T>, State

      public class SnapshottableMap<T>
      extends Object
      implements MapState<T>, Snapshottable<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshottableMap(MapState<T> delegate, List<Object> snapshotKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginCommit(Long txid)`
    `void` | `commit(Long txid)`
    `T` | `get()`
    `List<T>` | `multiGet(List<List<Object>> keys)`
    `void` | `multiPut(List<List<Object>> keys, List<T> vals)`
    `List<T>` | `multiUpdate(List<List<Object>> keys, List<ValueUpdater> updaters)`
    `void` | `set(T o)`
    `T` | `update(ValueUpdater updater)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnapshottableMap

          public SnapshottableMap(MapState<T> delegate,
                                  List<Object> snapshotKey)

  - ### Method Detail

    - #### multiGet

          public List<T> multiGet(List<List<Object>> keys)

      Specified by:
        `multiGet` in interface `ReadOnlyMapState<T>`

    - #### multiUpdate

          public List<T> multiUpdate(List<List<Object>> keys,
                                     List<ValueUpdater> updaters)

      Specified by:
        `multiUpdate` in interface `MapState<T>`

    - #### multiPut

          public void multiPut(List<List<Object>> keys,
                               List<T> vals)

      Specified by:
        `multiPut` in interface `MapState<T>`

    - #### beginCommit

          public void beginCommit(Long txid)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit(Long txid)

      Specified by:
        `commit` in interface `State`

    - #### get

          public T get()

      Specified by:
        `get` in interface `ReadOnlySnapshottable<T>`

    - #### update

          public T update(ValueUpdater updater)

      Specified by:
        `update` in interface `Snapshottable<T>`

    - #### set

          public void set(T o)

      Specified by:
        `set` in interface `Snapshottable<T>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.